{ config, pkgs, ... }:
{
  # emacs overlay
  nixpkgs.overlays = [
    (import (builtins.fetchTarball https://github.com/nix-community/emacs-overlay/archive/master.tar.gz))
  ];

  environment.systemPackages = with pkgs; [
    neovim
    vim
    vscodium

    openssl.dev
    pkg-config

    docker-compose

    binutils
    curl
    htop
    nixfmt
    ripgrep
    shellcheck
    tmux
    unzip
    wget

    git

    rustup

    direnv

    idea.idea-community

    emacsUnstable # Installs Emacs 27
  ];

  services.lorri.enable = true;

  programs.adb.enable = true;
}
